### Home Classes Methods

### In Files

- lib/tinymce/rails/configuration_file.rb

### Parent

Object

### Methods

- ::new
- #changed?
- #configuration
- #reload?

### Class/Module Index

Quicksearch

- TinyMCE
- TinyMCE::JsonManifest
- TinyMCE::NullManifest
- TinyMCE::Rails
- TinyMCE::Rails::AssetInstaller
- TinyMCE::Rails::AssetManifest
- TinyMCE::Rails::Configuration
- TinyMCE::Rails::Configuration::Function
- TinyMCE::Rails::ConfigurationFile
- TinyMCE::Rails::Engine
- TinyMCE::Rails::Helper
- TinyMCE::Rails::MultipleConfiguration
- TinyMCE::YamlManifest

No matching classes.

# TinyMCE::Rails::ConfigurationFile

### Attributes

path[R]

### Public Class Methods

new(path) click to toggle source

    # File lib/tinymce/rails/configuration_file.rb, line 5
    def initialize(path)
      @path = path
    end

### Public Instance Methods

changed?() click to toggle source

    # File lib/tinymce/rails/configuration_file.rb, line 18
    def changed?
      @last_loaded != last_updated
    end

configuration() click to toggle source

    # File lib/tinymce/rails/configuration_file.rb, line 9
    def configuration
      @configuration = load_configuration if reload?
      @configuration
    end

reload?() click to toggle source

    # File lib/tinymce/rails/configuration_file.rb, line 14
    def reload?
      @configuration.nil? || (reloadable? && changed?)
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.